STU3 Immunization
The Immunization resource provides the "event of a patient being administered a vaccination or a record of a vaccination as reported by a patient, a clinician or another party and may include vaccine reaction information and what vaccination protocol was followed."
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API Immunization resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | - | - | - |
| myAvatar | - | - | - | - |
| myEvolv | - | - | - | - |
| myUnity | - | - | - | - |
Search
Not all Netsmart solutions support Immunization search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED The patient for the vaccination record |
| _id | id | Unique identifier of the Observation. Cannot be used with other search parameters. |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | Immunization start date/time |
| start | date | Immunization end date/time |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
curl -X POST https://fhir.netsmartcloud.com/fhir/Immunization/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/890"
curl -X POST https://fhirtest.netsmartcloud.com/fhir/Immunization/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/890"
Via GET
- Production
- Preview
curl -X GET "https://fhir.netsmartcloud.com/fhir/Immunization?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/Immunization?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"